## trillian 1.6.0

=== debian/changelog ===
trillian (1.6.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 06:12:16 -0400

trillian (1.6.0-1) experimental; urgency=medium

  * Initial release (Closes: #1060842)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Feb 2024 00:34:34 +0100
