=== debian/control ===
Source: trillian
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-bitbucket-creachadair-shell-dev,
               golang-etcd-server-dev,
               golang-github-cockroachdb-cockroach-go-dev,
               golang-github-go-redis-redis-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-golang-mock-dev,
               golang-github-google-btree-dev,
               golang-github-google-go-cmp-dev,
               golang-github-grpc-ecosystem-go-grpc-middleware-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-transparency-dev-merkle-dev,
               golang-go.opencensus-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-api-dev,
               golang-google-cloud-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-k8s-klog-dev,
               golang-pq-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
Homepage: https://github.com/google/trillian
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/google/trillian

Package: golang-github-google-trillian-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-bitbucket-creachadair-shell-dev,
         golang-etcd-server-dev,
         golang-github-cockroachdb-cockroach-go-dev,
         golang-github-go-redis-redis-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-golang-mock-dev,
         golang-github-google-btree-dev,
         golang-github-google-go-cmp-dev,
         golang-github-grpc-ecosystem-go-grpc-middleware-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-transparency-dev-merkle-dev,
         golang-go.opencensus-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-api-dev,
         golang-google-cloud-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-k8s-klog-dev,
         golang-pq-dev,
         golang-prometheus-client-dev,
         golang-yaml.v2-dev,
         ${misc:Depends}
Description: transparent scalable and cryptographically verifiable data store (library)
 Trillian is an implementation of the concepts described in the
 Verifiable Data Structures (/docs/papers/VerifiableDataStructures.pdf)
 white paper, which in turn is an extension and generalisation of the
 ideas which underpin Certificate Transparency (https://certificate-
 transparency.org).
 .
 Trillian implements a Merkle tree
 (https://en.wikipedia.org/wiki/Merkle_tree) whose contents are served
 from a data storage layer, to allow scalability to extremely large
 trees.  On top of this Merkle tree, Trillian provides the following:
 .
  * An append-only **Log** mode, analogous to the original
    Certificate Transparency (https://certificate-transparency.org) logs.
    In this mode, the Merkle tree is effectively filled up from the left,
    giving a *dense* Merkle tree.
 .
 Certificate Transparency (CT) (https://tools.ietf.org/html/rfc6962) is
 the most well-known and widely deployed transparency application, and an
 implementation of CT as a Trillian personality is available in the
 certificate-transparency-go repo (https://github.com/google/certificate-
 transparency-go/blob/master/trillian).
 .
 This package contains a stripped down library for use by rekor.
