## trillian 1.6.1

=== debian/changelog ===
trillian (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 20:06:57 +0200

trillian (1.6.0-3) unstable; urgency=medium

  * Team upload
  * Disable quota plugin for redis. It has alpha status and not currently
    in testing.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 18:09:31 -0400
