=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                golang-bitbucket-creachadair-shell-dev,
                golang-etcd-server-dev,
                golang-github-cockroachdb-cockroach-go-dev,
-               golang-github-go-redis-redis-dev,
                golang-github-go-sql-driver-mysql-dev,
                golang-github-golang-mock-dev,
                golang-github-google-btree-dev,
@@ -31,7 +30,7 @@
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
 Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
 Homepage: https://github.com/google/trillian
@@ -44,7 +43,6 @@
 Depends: golang-bitbucket-creachadair-shell-dev,
          golang-etcd-server-dev,
          golang-github-cockroachdb-cockroach-go-dev,
-         golang-github-go-redis-redis-dev,
          golang-github-go-sql-driver-mysql-dev,
          golang-github-golang-mock-dev,
          golang-github-google-btree-dev,
