=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	^github.com/google/trillian/integration			\
 	^github.com/google/trillian/monitoring			\
 	^github.com/google/trillian/quota			\
+	^github.com/google/trillian/redis			\
 	^github.com/google/trillian/server			\
 	^github.com/google/trillian/storage/cloudspanner	\
 	^github.com/google/trillian/storage/crdb		\
