## trillian 1.7.2

=== debian/changelog ===
trillian (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Add golang-k8s-*-dev B-D/D's
  * Drop postgresql (due to #1120684)
  * Bump upstream copyright years

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Dec 2025 18:12:17 +0100

trillian (1.6.1-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.2
  * Modernize Salsa CI

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1120531)

  [ Simon Josefsson ]
  * Use watch v5
  * Tag patches as Forwarded:not-needed
  * Run tests but ignore failures for now
  * Fix Salsa CI wrap-and-sort
  * Use dh-sequence-golang
  * Typo fix grpc patch
  * Run tests but ignore TestMySQLWarning
  * Drop execute_before_dh_auto_install hack
  * Improve copyright years

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Dec 2025 15:57:37 +0100
