=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-bitbucket-creachadair-shell-dev,
                golang-etcd-server-dev,
@@ -26,15 +26,18 @@
                golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
+               golang-k8s-api-dev,
+               golang-k8s-apimachinery-dev,
+               golang-k8s-client-go-dev,
                golang-k8s-klog-dev,
+               golang-k8s-utils-dev,
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
 Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
 Homepage: https://github.com/google/trillian
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/google/trillian
 
 Package: golang-github-google-trillian-dev
@@ -59,7 +62,11 @@
          golang-google-genproto-dev,
          golang-google-grpc-dev,
          golang-google-protobuf-dev,
+         golang-k8s-api-dev,
+         golang-k8s-apimachinery-dev,
+         golang-k8s-client-go-dev,
          golang-k8s-klog-dev,
+         golang-k8s-utils-dev,
          golang-pq-dev,
          golang-prometheus-client-dev,
          golang-yaml.v2-dev,
