=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,17 @@
 	^github.com/google/trillian/server			\
 	^github.com/google/trillian/storage/cloudspanner	\
 	^github.com/google/trillian/storage/crdb		\
+	^github.com/google/trillian/storage/postgresql		\
 	^github.com/google/trillian/testonly			\
 	^github.com/google/trillian/util/election2/etcd
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
+
+SKIP="TestMySQLWarning|TestNewClientDialOptionsFromFlagsWithTLSCertFileNotSet|TestNewClientDialOptionsFromFlagsWithTLSCertFileSet"
 
 override_dh_auto_test:
 # 2024/01/23 06:54:39 db.Ping(): dial tcp 127.0.0.1:3306: connect: connection refused
@@ -30,5 +33,5 @@
 # --- FAIL: TestMySQLWarning (0.00s)
 # FAIL
 # FAIL	github.com/google/trillian/storage/testdb	0.009s
-	rm -fv _build/src/github.com/google/trillian/storage/testdb/testdb_test.go
-	: dh_auto_test $(DH_BUILD_OPTS)
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip $(SKIP)
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run $(SKIP)
